#include "MenuTextOk_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextOk_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextOk_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_ok;
}

std::shared_ptr<Entity> CreateMenuTextOk_Player2Keyboard()
{
	return std::make_shared<MenuTextOk_Player2Keyboard>();
}


